#pragma once
#include "EntityState.h"
extern const int CS_CurlySTATENAME_CONTROL;
class CS_CurlyControl :
    public EntityState
{
public:
    CS_CurlyControl();
    void State() override;
    void SetPhysice(bool bInWater) override;
    void MoveControl();
    void JumpControl();
    //物理信息
    //地面
    float ground_move = 0x55 / ts;
    float ground_move2 = 0x20 / ts;
    float ground_max_move = 0x32c / ts;
    //水中
    float inwater_move = 0x2A / ts;
    float inwater_move2 = 0x10 / ts;
    float inwater_max_move = 0x196 / ts;
    //使用中的物理信息
    float max_move;//当前最大移动速度
    float move;//当前地面移动加速度
    float move2;//当前空中移动加速度
    //锁住调查事件
    bool faceToBack_disable = false;
    //播放落地声音
    bool playLandingSound = false;
    //播放撞头声音
    bool playBonkHeadSound = false;
};

